synth_simplex_try(Offset_vector, Simplex, Worst, Worst_val, Center, Size, 
		    Try, Try_val, Factor, Formula, 
		    XP, Program) :-

	Ar_base   = 0,
	Ar_offset = 1,

	pv_fresh_existential(I),
	index_make([I, dim(Ar_base, Size-Ar_offset)], Index_i),

	Center_i  =.. [Center, I],
	Simplex_i =.. [Simplex, Worst, I],
	Try_i     =.. [Try, I],
	Factor1   = (1 - Factor) / Size,
	Factor2   = Factor1 - Factor,
	apack_substitute(Try, Offset_vector, Formula, Formula_try),

	Replace_loop = for([Index_i],
			   series([assign_plus(Center_i, Try_i-Simplex_i, []),
				   assign(Simplex_i, Try_i, [])
				  ], []),
			   []
			  ),
	Replace = if(Try_val > Worst_val,
		     series([assign(Worst_val, Try_val, []), Replace_loop],
			    []
			   ),
		     skip,
		     [comment('Replace worst point by trial point')]
		    ),
	Program = series([for([Index_i],
			      assign(Try_i, Center_i*Factor1-Simplex_i*Factor2, 
				     []),
			      [comment('Calculate trial point coordinates')]),
			  assign(Try_val, Formula_try, 
				 [comment('Evaluate expression at trial point ')]), 
			  Replace],
			 [comment(XP)]
			).
